Skip to main content
GET
/
images
List images
curl --request GET \
  --url https://api.strettch.cloud/api/v1/images \
  --header 'Authorization: Bearer <token>'
{
  "message": "Operation successful",
  "requestId": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
  "success": true,
  "timestamp": "2024-01-15T10:00:00Z",
  "data": [
    {
      "displayName": "Ubuntu 24.04 LTS",
      "image": "UBUNTU-24.04",
      "imageName": "Ubuntu",
      "version": "24.04"
    }
  ]
}

Response Error Codes

The following table lists the programmatic error codes that this endpoint may return in the code field of the error response.
CodeHTTP StatusDescription
UNAUTHORIZED401Authentication failed or was not provided.
TOO_MANY_REQUESTS429You have exceeded the rate limit.
INTERNAL_SERVER_ERROR500An unexpected error occurred on our end.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

List of images

message
string
Example:

"Operation successful"

requestId
string
Example:

"f47ac10b-58cc-4372-a567-0e02b2c3d479"

success
boolean
Example:

true

timestamp
string
Example:

"2024-01-15T10:00:00Z"

data
object[]